{% extends 'base.html' %}

{% block title %} Home {% endblock title %}

{% block body %}
    <div class="container my-3">
        <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">
            <div class="carousel-indicators">
                <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active"
                        aria-current="true" aria-label="Slide 1"></button>
                <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1"
                        aria-label="Slide 2"></button>
                <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2"
                        aria-label="Slide 3"></button>
            </div>
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img src="static/images/Brown Cone With White Sprinkled Icing.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5>Brown Cone With White Sprinkled Icing</h5>
                        <p>we all scream for Ice Cream!!! So, they won't help to beat the Texas heat, but they're much
                            easier to bring to a picnic!</p>
                    </div>
                </div>
                <div class="carousel-item my-3">
                    <img src="static/images/Assorted Ice Creams.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5>Assorted Ice Creams</h5>
                        <p>This classic cooked ice cream base is essentially the same as making homemade pudding or
                            custard. It involves cooking eggs yolks together with cream and sugar and makes for a
                            rich-tasting ice cream.</p>
                    </div>
                </div>
                <div class="carousel-item my-3">
                    <img src="static/images/Brownie Ice Cream Cups.jpg" class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        <h5>Brownie Ice Cream Cups</h5>
                        <p>Cooking spray, for pan Ice cream, for serving Chocolate Sauce, for serving Rainbow sprinkles,
                            for serving.</p>
                    </div>
                </div>
            </div>
            <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions"
                    data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Previous</span>
            </button>
            <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions"
                    data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Next</span>
            </button>
        </div>
    </div>

    <div class="container">
        <h1 class="text-center">Select your favourite ice cream</h1>
        <div class="row">
            {#    <div class=""></div>#}
            {% for product in products %}
                <div class="col mb-4">
                    <div class="card" style="width: 18rem">
                        <img src="{{ product.image_url }}" class="d-block w-100" alt="..."/>
                        <div class="card-body">
                            <h5 class="card-title">{{ product.name }}</h5>
                            <p class="card-text">${{ product.price }}</p>
                            <a href="#" class="btn btn-primary">Buy now</a>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>

{% endblock body %}